org.apache.hadoop.security.proto

## Interface SecurityProtos.GetDelegationTokenRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    SecurityProtos.GetDelegationTokenRequestProto, SecurityProtos.GetDelegationTokenRequestProto.Builder
  Enclosing class:
    SecurityProtos

      public static interface SecurityProtos.GetDelegationTokenRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRenewer()` `required string renewer = 1;`
    `com.google.protobuf.ByteString` | `getRenewerBytes()` `required string renewer = 1;`
    `boolean` | `hasRenewer()` `required string renewer = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasRenewer

          boolean hasRenewer()

      `required string renewer = 1;`

    - #### getRenewer

          String getRenewer()

      `required string renewer = 1;`

    - #### getRenewerBytes

          com.google.protobuf.ByteString getRenewerBytes()

      `required string renewer = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.